精华内容
下载资源
问答
  • 点击https://start.spring.io/actuator/info,出现一堆json,利用https://tool.lu/json/工具格式化json字符串,更能看懂对应的开发版本,比如以下 "spring-cloud": { "Finchley.M2": "Spring Boot >=2.0.0.M3 ...

    点击https://start.spring.io/actuator/info,出现一堆json,利用https://tool.lu/json/工具格式化json字符串,更能看懂对应的开发版本,比如以下

    "spring-cloud": {
          "Finchley.M2": "Spring Boot >=2.0.0.M3 and <2.0.0.M5",
          "Finchley.M3": "Spring Boot >=2.0.0.M5 and <=2.0.0.M5"}
    

    假如F开头M2的spring-cloud对应的Spring Boot 版本为

    2.0.0.M3 and <2.0.0.M5

    展开全文
  • ①JavaSE(java平台标准版,用于开发和部署桌面、服务器以及嵌入设备和实时环境中的Java应用程序)。 ②JavaEE(java平台企业版,企业级开发应用,用于开发web,核心是EJB)。 ③JavaME(java平台微创型版,机顶盒、...

    JavaSE(java平台标准版用于开发和部署桌面、服务器以及嵌入设备和实时环境中的Java应用程序)

    JavaEE(java平台企业版企业级开发应用,用于开发web,核心是EJB)

    JavaME(java平台微创型版机顶盒、移动电话和PDA之类嵌入式消费电子设备提供的Java语言平台,包括虚拟机和一系列标准化的Java API。)

    展开全文
  • 每一个版本的Eclipse开发平台软件需要的JAVA JDK的版本不同,需要根据IBM公司公布的对应关系配对,才能开发Android项目。下面是IBM公司公布的对应关系 链接为:http://wiki.eclipse.org/Eclipse/Installation ...

    每一个版本的Eclipse开发平台软件需要的JAVA  JDK的版本不同,需要根据IBM公司公布的对应关系配对,才能开发Android项目。下面是IBM公司公布的对应关系

    链接为:http://wiki.eclipse.org/Eclipse/Installation

     

    Installing Eclipse is relatively easy, but does involve a few steps and software from at least two different sources. Eclipse is a Java-based application and, as such, requires a Java Runtime Environment or Java Development Kit (JRE or JDK) in order to run.

    Note that on recent versions of Mac, a full JDK needs to be installed, not just a JRE; see instructions below.

    1 Install a JVM
    2 Eclipse 4.18 (2020-12)
    3 Eclipse 4.17 (2020-09)
    4 Eclipse 4.16 (2020-06)
    5 Eclipse 4.15 (2020-03)
    6 Eclipse 4.14 (2019-12)
    7 Eclipse 4.13 (2019-09)
    8 Eclipse 4.12 (2019-06)
    9 Eclipse 4.11 (2019-03)
    10 Eclipse 4.10 (2018-12)
    11 Eclipse 4.9 (2018-09)
    12 Eclipse 4.8 (Photon)
    13 Eclipse 4.7 (Oxygen)
    14 Eclipse 4.6 (Neon)
    15 Eclipse 4.5 (Mars)
    16 Eclipse 4.4 (Luna)
    17 Eclipse 4.3 (Kepler)
    18 JRE/JDK Sources
    19 Download Eclipse
    20 Configure Eclipse to use the JVM
    21 Extending Eclipse
    22 Troubleshooting
    23 More information

    Eclipse 4.18 (2020-12)

    Eclipse 4.18 (2020-12) was released on December 16, 2020. It is the supported release.

    Java 11 or newer JRE/JDK is required, LTS release are preferred to run all Eclipse 2020-12 packages based on Eclipse 4.18, with certain packages choosing to provide one by default. The Installer now includes a JRE. Consider using the Installer. Please see 5 Steps to Install Eclipse.

    Eclipse 4.17 (2020-09)

    Eclipse 4.17 (2020-09) was released on September 16, 2020.

    Consider using the Installer. Please see 5 Steps to Install Eclipse.

    Java 11 or newer JRE/JDK is required, LTS release are preferred to run all Eclipse 2020-09 packages based on Eclipse 4.17, as well as the Installer.

    Eclipse 4.16 (2020-06)

    Eclipse 4.16 (2020-06) was released on June 17, 2020.

    Consider using the Installer. Please see 5 Steps to Install Eclipse.

    Java 8 or newer JRE/JDK is required, LTS release are preferred to run all Eclipse 2020-06 packages based on Eclipse 4.16, as well as the Installer.

    Eclipse 4.15 (2020-03)

    Eclipse 4.15 (2020-03) was released on March 18, 2020.

    Java 8 or newer JRE/JDK is required, LTS release are preferred to run all Eclipse 2020-03 packages based on Eclipse 4.15, as well as the Installer.

    Eclipse 4.14 (2019-12)

    Eclipse 4.14 (2019-12) was released on December 18, 2019. See Eclipse 2019-12 schedule.

    Consider using the Installer. Please see 5 Steps to Install Eclipse.

    Java 8 or newer JRE/JDK is required to run all Eclipse 2019-09 packages based on Eclipse 4.14, as well as the Installer.

    Eclipse 4.13 (2019-09)

    Eclipse 4.13 (2019-09) was released on September 18, 2019. See Eclipse 2019-09 schedule.

    Consider using the Installer. Please see 5 Steps to Install Eclipse.

    Java 8 or newer JRE/JDK is required to run all Eclipse 2019-09 packages based on Eclipse 4.13, as well as the Installer.

    Eclipse 4.12 (2019-06)

    Eclipse 4.12 (2019-06) was released on June 19, 2019. See Eclipse 2019-06 schedule.

    Consider using the Installer. Please see 5 Steps to Install Eclipse.

    Java 8 or newer JRE/JDK is required to run all Eclipse 2019-03 packages based on Eclipse 4.12, as well as the Installer.

    Eclipse 4.11 (2019-03)

    Eclipse 4.11 (2019-03) was released on March 20, 2019. See Eclipse 2019-03 schedule.

    Consider using the Installer. Please see 5 Steps to Install Eclipse.

    Java 8 or newer JRE/JDK is required to run all Eclipse 2019-03 packages based on Eclipse 4.11, as well as the Installer.

    Eclipse 4.10 (2018-12)

    Eclipse 4.10 (2018-12) was released on December 20, 2018. It is the supported release. See Eclipse 2018-12 schedule.

    Consider using the Installer. Please see 5 Steps to Install Eclipse.

    Java 8 or newer JRE/JDK is required to run all Eclipse 2018-12 packages based on Eclipse 4.10, including running the Installer. The reasoning behind requiring Java 8 are discussed here.

    Eclipse 4.9 (2018-09)

    Eclipse 4.9 (2018-09) was released on September 19, 2018. See Eclipse 2018-09 schedule.

    Java 8 or newer JRE/JDK is required to run all Eclipse 2018-09 packages based on Eclipse 4.9, including running the Installer. The reasoning behind requiring Java 8 are discussed here.

    Eclipse 4.8 (Photon)

    Eclipse 4.8 (Photon) was released on June 27, 2018. See Photon schedule.

    Java 8 or newer JRE/JDK is required to run all Oxygen packages based on Eclipse 4.7, including running the Installer. The reasoning behind requiring Java 8 are discussed here.

    Eclipse 4.7 (Oxygen)

    Eclipse 4.7 (Oxygen) was released on June 28, 2017. See Oxygen schedule.

    Java 8 or newer JRE/JDK is required to run all Oxygen packages based on Eclipse 4.7, including running the Installer. The reasoning behind requiring Java 8 are discussed here.

    Eclipse 4.6 (Neon)

    Eclipse 4.6 (Neon) was released on June 22, 2016. See Neon schedule.

    Java 8 JRE/JDK is required to run all Neon packages based on Eclipse 4.6, including the Installer. The reasoning behind requiring Java 8 are discussed here.

    Eclipse 4.5 (Mars)

    Eclipse 4.5 (Mars) was released on June 24, 2015.

    Java 7 JRE/JDK is required for all Mars package downloads based on Eclipse 4.5, including the Installer. Information concerning tested configurations for Eclipse 4.5 is provided here.

    Eclipse 4.4 (Luna)

    Eclipse 4.4 (Luna) was released on June 25, 2014.

    Java 7 JRE/JDK is required for most of the Luna package downloads based on Eclipse 4.4. Information concerning tested configurations for Eclipse 4.4 is provided here.

    Eclipse 4.3 (Kepler)

    Eclipse 4.3 (Kepler) was released in June 2013.

    Java 6 JRE/JDK is recommended for Eclipse 4.3. More information concerning tested configurations for Eclipse 4.3 is provided here.

    展开全文
  • Mac 系统下Java开发环境配置和多版本切换 1. 软件准备 JDK1.8 自己喜爱编辑器,刚学习小伙伴建议先不要用idea或者eclipse这样大型IDE。我这里选择VSCode 2. 软件安装 JDK下载mac系统对应的.dmg镜像文件,...

    Mac 系统下Java开发环境的配置和多版本切换

    1. 软件准备

    • JDK1.8
    • 自己喜爱的编辑器,刚学习的小伙伴建议先不要用idea或者eclipse这样的大型IDE。我这里选择VSCode

    2. 软件安装

    1. JDK下载mac系统对应的.dmg镜像文件,下载完毕双击装载。双击打开镜像中的.pkg安装文件,根据提示安装(安装路径使用默认路径即可)。
    2. VSCode下载Mac对应版本的压缩包,下载完毕双击解压。将解压后的VSCode.app移动到应用程序文件夹,完成安装。
    3. VSCode配置:
      1. 在Launcher中找到VSCode文本编辑器,点击打开。
      2. 可能提示互联网软件,存在危险,是否仍然打开,这里我们是从官网下载的软件,没有危险,点击打开即可。
      3. VSCode启动后,安装常用插件,这里列出我所使用的插件:
        • Chinese (Simplified) Language Pack for Visual Studio Code (中文支持插件)
        • Java Extension Pack (Java支持)
        • Language Support for Java™ by Red Hat (Java支持)
        • Bracket Pair Colorizer 2 (括号颜色插件,好用)

    3. JDK环境变量配置

    • 其实JDK在安装时已经配置好了,java、javac、javap、javadoc等命令都已经可以使用了,不需要配置。但是小伙伴们如果安装了多个版本的JDK的话,默认是使用最后安装的JDK环境的。这里我们就需要进行JDK环境的配置了。
    • 现在,假设你安装了多个JDK版本
    1. 打开终端
    2. 执行 cd ~ 命令,将工作目录切换到家目录
    3. 执行vim .bash_profile 命令,打开vim 编辑器
    4. 在文件末尾添加以下内容
      export JAVA_8_HOME="$(/usr/libexec/java_home -v 1.8)"
      
      alias jdk8='export JAVA_HOME=$JAVA_8_HOME'
      
      # 默认使用JDK8
      export JAVA_HOME=$JAVA_8_HOME
      
      export CLASS_PATH="$JAVA_HOME/lib:$JAVA_HOME/lib/tools.jar"
      
    5. 执行source .bash_profile 使配置立即生效
    6. 每当多一个JDK环境时,便添加一个JAVA_?_HOME 和一个 alias别名
    7. 这样,小伙伴们就可以很简单的修改当前的JDK环境了
      - 如果要暂时生效,执行jdk?的别名
      - 如果要永久改变JDK环境,便修改.bash_profile文件的默认环境
    8. 以下是我的环境配置
      export JAVA_8_HOME="$(/usr/libexec/java_home -v 1.8)"
      export JAVA_12_HOME="$(/usr/libexec/java_home -v 12)"
      export JAVA_13_HOME="$(/usr/libexec/java_home -v 13)"
      
      alias jdk8='export JAVA_HOME=$JAVA_8_HOME'
      alias jdk12='export JAVA_HOME=$JAVA_12_HOME'
      alias jdk13='export JAVA_HOME=$JAVA_13_HOME'
      
      # 默认使用JDK8
      export JAVA_HOME=$JAVA_8_HOME
      
      export CLASS_PATH="$JAVA_HOME/lib:$JAVA_HOME/lib/tools.jar"
      
      ➜  ~ java -version
      java version "1.8.0_241"
      Java(TM) SE Runtime Environment (build 1.8.0_241-b07)
      Java HotSpot(TM) 64-Bit Server VM (build 25.241-b07, mixed mode)
      ➜  ~ jdk12
      ➜  ~ java -version
      java version "12.0.2" 2019-07-16
      Java(TM) SE Runtime Environment (build 12.0.2+10)
      Java HotSpot(TM) 64-Bit Server VM (build 12.0.2+10, mixed mode, sharing)
      ➜  ~ 
      
    9. 解释
      • java_home是Java在Mac下自带的能够输出Java 安装路径的工具,默认安装在/usr/libexec/目录内,-v 选项可以切换版本,利用export JAVA_8_HOME="$(/usr/libexec/java_home -v 1.8)"这样一条语句,就可以简单获取Java1.8的安装路径了
      • alias 能够在linux和mac下给命令起别名,如上述配置,执行jdk8就是执行export JAVA_HOME=$JAVA_8_HOME
    展开全文
  • 当你把开发中的Idea工具中的所有环境设置完的时候,还是报这个错误,最好检查一下物理的环境变量的设置,因为某个tomcat的版本,是必须有对应的jdk版本的支持,最好在tomcat的catalina.bat文件中配置对应的jdk版本。...
  • java连接mysql数据库,数据库程序开发步骤首先就要加载JDBC驱动程序,不同版本的mysql数据库需要MySQL数据库驱动程序jar包版本也不同。不少同学问怎么下载java连接mysql驱动jar包?今天给大家分享:各版本MySQL...
  • 拿我们公司例子,因为我们主要是熟悉java,所以更适合选择java开发。目前,市面上如果选用java进行Spark应用开发,大部分会优先选用java8 lambda表达式进行开发;如果团队中都是新成员,或者大部分人都熟悉scala,...
  • hbase的java开发实例 1:hbase代码编写思路: 1、准备连接hbase集群配置信息 zookeeper位置 HBaseConfiguration 2、根据连接信息获取连接对象 Connection 3、根据连接对象获取操作对象 有...
  • 内表操作是ABAP开发人员几乎在每个ABAP程序里都会遇到。 看一个例子:有两个行结构不一样内表,每个内表行结构有三列,除了name这一列名字一致外,其他两列名称都不同,下图用红色和蓝色标注出来。 如果要...
  • Java开发环境搭建1.JDK下载与安装1.浏览器搜索”JDK8“(目前企业使用最多)2.打开我的电脑->属性3.下载对应的版本(同意协议,注册账号)4.安装5.点击”下一步“6.更改路径(建议放一个方便寻找的地方),记下安装的...
  • 卸载JDK1....下载电脑对应的版本4.双击安装JDK5记住安装的路径6.配置环境变量​ 1.我的电脑-属性-高级系统设置​ 2.添加系统变量->JAVA_HOME​ 变量值填写jdk的位置​ 3.配置path变量在原有的系...
  • 卸载JDK1.删除java的安装目录2....下载电脑对应的版本4.双击安装JDK5记住安装的路径6.配置环境变量? 1.我的电脑-属性-高级系统设置? 2.添加系统变量->JAVA_HOME? 变量值填写jdk的位置? 3.配置path变量在原有的系...
  • 卸载JDK1....下载电脑对应的版本4.双击安装JDK5记住安装的路径6.配置环境变量​ 1.我的电脑-属性-高级系统设置​ 2.添加系统变量->JAVA_HOME​ 变量值填写jdk的位置​ 3.配置path变量在原有的系...
  • window系统安装java下载JDK在下载页面中你需要选择接受许可,并根据自己的系统选择对应的版本,本文以 Window 64位系统为例:下载后JDK的安装根据提示进行,还有安装JDK的时候也会安装JRE,一并安装就可以了。...
  • 在Windows 10中配置Java开发环境下载Java开发工具包jdkjdk下载地址为:http://www.oracle.com/technetwork/java/javase/downloads/index.html。点击Java Platform(JDK)12上面下载按钮。在下载页面中需要选择接受...
  • 前言: 进行java开发,首先要安装jdk,安装完成之后,还... 1、进入官网(https://www.oracle.com/technetwork/java/javase/downloads/index.html)下载JDK,对应下载你需要的版本 2、把下载下来的exe进行安装 ...
  • java开发环境搭建

    2021-03-17 21:54:43
    java开发环境搭建 安装JDK: 百度搜索JDK8,找到下载地址 下载对应版本 安装JDK 记住安装路径 配置环境变量 在我电脑右键点击属性,再点击高级系统设置 点击环境变量,在系统变量中点击新建 输入变量名JAVA_...
  • Java开发环境搭建

    2020-06-27 11:24:57
    Java开发环境搭建 JDK下载与安装 打开浏览器 百度搜索“JDK8” 点击 由Oracle公司收购的Java的网站 大多数都是使用的Windows×64的系统,所以下载自己系统所对应的版本的Java(若要注册Oracle账号,注册后下载即可...
  • Java 开发环境配置window7系统配置java开发环境(以下有window10系统安装java开发环境)下载JDK在下载页面中你需要选择接受许可,并根据自己的系统选择对应的版本,本文以 Window 64位系统为例:下载后JDK的安装根据...
  • window系统安装java下载JDK首先我们需要下载java开发工具包JDK,下载地址:http://www.oracle.com/technetwork/java/javase/downloads/index.html,点击如下下载按钮:在下载页面中你需要选择接受许可,并根据自己...
  • window系统安装java下载JDK在下载页面中你需要选择接受许可,并根据自己的系统选择对应的版本,本文以 Window 64位系统为例:下载后JDK的安装根据提示进行,还有安装JDK的时候也会安装JRE,一并安装就可以了。...
  • Java 开发环境配置

    2021-01-03 01:47:13
    Java 开发环境配置 在本章节中我们将为大家介绍如何...在下载页面中你需要选择接受许可,并根据自己的系统选择对应的版本,本文以 Window 64位系统为例: 下载后JDK的安装根据提示进行,还有安装JDK的时候也会安装JRE
  • java开发环境配置

    2017-10-27 10:31:10
    window系统安装java 下载JDK 首先我们需要下载java开发工具包JDK,下载地址:...在下载页面中你需要选择接受许可,并根据自己的系统选择对应的版本,本文以 Wind
  • 由于环境安装的mysql的版本差异,所以在java开发时,必须使用对应版本的 mysql-connector-java的jar包,5版本和8版本主要区别在driverClass和jdbcUrl的配置参数,区别核心在: 1、8下面的驱动使用cj包, 2、8下面...
  • Java开发环境环境配置 记录一下学习Java环境变量配置。以此来回顾学习历程,方便以后出现问题或者忘记配置步骤和方法。 电脑环境:Windows 10 家庭版 步骤 1、首先到Oracle网站下载对应操作系统jdk...
  • window系统安装java下载JDK在下载页面中你需要选择接受许可,并根据自己的系统选择对应的版本,本文以 Window 64位系统为例:下载后JDK的安装根据提示进行,还有安装JDK的时候也会安装JRE,一并安装就可以了。...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 2,080
精华内容 832
关键字:

java开发的版本对应

java 订阅